Go to index page.

# gifcomb

A program to combine 2 GIF images of exactly the same size into one. The color maps are merged, but the result may not exceed 256 colors. A boolean mask GIF file can be used to set which pixel from two images to use at each location. Otherwise any background color from first image is converted to second image color at that point. Only the first image of each file is combined; again, all files' first images must be of exactly the same size.

# Usage:

    gifcomb [-q] [-m MaskGIFFile] [-h] gif-file...

Two GIF files must be specified; a third mask GIF file is optional.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Default off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-m MaskGIFFile]
  the MaskGIFfile can be regular GIF file whose first image has same dimensions as the combined images. Any non-background color in it will select Image 1 Pixel to output, otherwise Image2 pixel will be selected. Usually this image will be boolean (two colors only) but it does not have to be.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber